Bug 447831 - missing link for libphonon.so
missing link for libphonon.so
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 21:14 EDT by Neal Becker
Modified: 2008-07-26 01:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.3.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 00:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-05-21 21:14:25 EDT
Description of problem:

I have kdelibs-devel-4.0.4-4.fc9.x86_64.  There is no /usr/lib64/libphonon.so ->
libphonon.so.4.0.4

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2008-05-21 23:06:06 EDT
Not missing but at
/usr/lib/kde4/devel/libphonon.so
But, that avoid-conflicts-with-kdelibs3-hack could be avoided in this case.
Comment 2 Kevin Kofler 2008-05-22 02:01:39 EDT
It's actually /usr/lib64/kde4/devel/libphonon.so in the 64-bit package.

But yes, it should be easy to fix this to put libphonon.so directly 
into %{_libdir}, there's no KDE 3 version it could conflict with.
Comment 3 Neal Becker 2008-05-22 06:55:45 EDT
How do apps find these files to link with?  Is this done via pkg-config?
(Doesn't seem that way)
Comment 4 Kevin Kofler 2008-05-22 07:19:29 EDT
Explanation here:
https://www.redhat.com/archives/fedora-devel-list/2008-May/msg01772.html
Comment 5 Kevin Kofler 2008-05-22 15:47:45 EDT
Fixed in Rawhide, I'll also fix this in an update for the releases.
Comment 6 Fedora Update System 2008-06-05 06:04:33 EDT
qt4-4.3.5-1.fc8,kdelibs4-4.0.5-1.fc8,kdepimlibs-4.0.5-1.fc8,kdebase-runtime-4.0.5-1.fc8,kdebase4-4.0.5-2.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-06-11 00:35:14 EDT
qt4-4.3.5-1.fc8, kdelibs4-4.0.5-2.fc8, kdepimlibs-4.0.5-1.fc8, kdebase4-4.0.5-2.fc8, kdebase-runtime-4.0.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-06-11 00:37:24 EDT
kdeutils-4.0.5-1.fc9, kdelibs-4.0.5-2.fc9, kdebase-4.0.5-3.fc9, kdeaccessibility-4.0.5-1.fc9, kdeartwork-4.0.5-2.fc9, kdenetwork-4.0.5-3.fc9, kdebase-workspace-4.0.5-1.fc9, kde-l10n-4.0.5-1.fc9, kdeedu-4.0.5-1.fc9, kdetoys-4.0.5-1.fc9, kdemultimedia-4.0.5-1.fc9, kdebase-runtime-4.0.5-2.fc9, kdeadmin-4.0.5-1.fc9, kdesdk-4.0.5-2.fc9, qt-4.3.5-1.fc9, kdegraphics-4.0.5-1.fc9, kdegames-4.0.5-1.fc9, kdepimlibs-4.0.5-1.fc9, kdebindings-4.0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-07-26 01:58:47 EDT
kdeutils-4.0.5-1.fc9, kdelibs-4.0.5-2.fc9, kdebase-4.0.5-3.fc9, kdeaccessibility-4.0.5-1.fc9, kdeartwork-4.0.5-2.fc9, kdenetwork-4.0.5-3.fc9, kdebase-workspace-4.0.5-1.fc9, kde-l10n-4.0.5-1.fc9, kdeedu-4.0.5-1.fc9, kdetoys-4.0.5-1.fc9, kdemultimedia-4.0.5-1.fc9, kdebase-runtime-4.0.5-2.fc9, kdeadmin-4.0.5-1.fc9, kdesdk-4.0.5-2.fc9, qt-4.3.5-1.fc9, kdegraphics-4.0.5-1.fc9, kdegames-4.0.5-1.fc9, kdepimlibs-4.0.5-1.fc9, kdebindings-4.0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.